/*
 * $Id: SMTEntry.java,v 1.2 2004/01/26 10:29:31 nunnari Exp $
 *
 * Copyright (c) 2003-2004 Roberto Nunnari - roberto.nunnari@nunnisoft.ch
 * All rights reserved.
 *
 *  This file is part of NunniFSMGen.
 *
 *  NunniFSMGen is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NunniFSMGen is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with NunniFSMGen; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.nunnisoft.fsmgen;

/**
 *
 * @author  Roberto Nunnari
 */
public class SMTEntry {

    String m_actualState;
    String m_event;
    String m_nextState;
    String m_action;
    
    /** Creates a new instance of SMTEntry */

    SMTEntry( String actualState, String event, String nextState, String action ) {
        m_actualState = actualState;
        m_event = event;
        m_nextState = nextState;
        m_action = action;
    }
}
