/*
 * $Id: Run.java,v 1.1 2004/02/15 12:57:21 nunnari Exp $
 *
 * Copyright (c) 2003 Roberto Nunnari - roberto.nunnari@nunnisoft.ch
 * All rights reserved.
 *
 *  This file is part of NunniFSMGen.
 *
 *  NunniFSMGen is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NunniFSMGen is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with NunniFSMGen; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package examples.heater.java;

/**
 *
 * @author  nunnari
 */
public class Run {
    
    /** Creates a new instance of Run */
    public Run() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        HeaterFSM heater = new HeaterFSM( null );
        try {
            System.out.println( "ME: Ok.. let's make some tee.." );
            heater.activate( null );
            System.out.println( "ME: The temperature reaches required limit so the sensor switches off" );
            heater.hotenough( null );
        }
        catch ( LogicError e ) {
            e.printStackTrace();
        }
    }
    
}
