/*
 * $Id: GlobalRes_it.java,v 1.5 2004/06/23 19:49:35 nunnari Exp $
 *
 * Copyright (c) 2003-2004 Roberto Nunnari - roberto.nunnari@nunnisoft.ch
 * All rights reserved.
 *
 *  This file is part of NunniFSMGen.
 *
 *  NunniFSMGen is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  NunniFSMGen is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with NunniFSMGen; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.nunnisoft.fsmgen.lang;

/**
 *
 * @author  nunnari
 */
public final class GlobalRes_it extends java.util.ListResourceBundle {

    private static final String m_usage =
        "*********************************** UTILIZZO **********************************\n" +
        "java -jar NunniFSMGen.jar [opzioni] fileDiConfigurazione\n" +
        "  opzioni:\n" +
        "    -?              : visualizza utilizzo\n" +
        "    -V              : visualizza versione\n" +
        "    -i              : visualizza informazioni sul programma\n" +
        "    -v              : piu' dettagli\n" +
        "    -o {java|c|c++} : linguaggio generato (default: java)\n" +
        "    -p              : package (default: letto dal file altrimenti 'generated')\n" +
        "    -n              : basename (default: letto dal file altrimenti 'Context')\n" +
        "  fileDiConfigurazione: file contente la tavola delle transizioni FSM";

    protected Object[][] getContents() {
        return contents;
    }

    private static final Object[][] contents = {
        { GlobalRes.IS_NOT_VALID_OPTION, "non e' un'opzione valida" },
        { GlobalRes.IS_NOT_YET_SUPPORTED, "non e' stato ancora implementato" },
        { GlobalRes.IS_NOT_VALID_LANGUAGE, "non e' un linguaggio supportato" },
        { GlobalRes.GENERATING, "generazione" },
        { GlobalRes.GEN_JAVA_SRC, "generazione codice java!" },
        { GlobalRes.GEN_CXX_SRC, "generazione codice C!" },
        { GlobalRes.GEN_C_SRC, "generazione codice C++!" },
        { GlobalRes.ALREADY_EXISTS, "esiste gia'.. nome alternativo per il nuovo file" },
        { GlobalRes.VERSION, "Nunni FSM Generator - versione" },
        { GlobalRes.USAGE, m_usage },
    };
}
